"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindAllTagResponseDto = exports.findAllTagResponseSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const tag_dto_1 = require("./tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findAllTagResponseSchema = zod_1.default.object({
    tags: zod_1.default.array(tag_dto_1.tagSchema.merge(zod_1.default.object({
        group: tag_group_dto_1.tagGroupSchema,
    }))),
});
class FindAllTagResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findAllTagResponseSchema) {
}
exports.FindAllTagResponseDto = FindAllTagResponseDto;
//# sourceMappingURL=find-all-tag.dto.js.map