"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateTagResponseDto = exports.updateTagResponseSchema = exports.UpdateTagDto = exports.updateTagSchema = void 0;
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_dto_1 = require("./tag.dto");
exports.updateTagSchema = tag_dto_1.tagSchema
    .pick({
    name: true,
    groupId: true,
})
    .partial();
class UpdateTagDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateTagSchema) {
}
exports.UpdateTagDto = UpdateTagDto;
exports.updateTagResponseSchema = tag_dto_1.tagSchema;
class UpdateTagResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateTagResponseSchema) {
}
exports.UpdateTagResponseDto = UpdateTagResponseDto;
//# sourceMappingURL=update-tag.dto.js.map